Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ProgressiveMesh::PMWorkingData Struct Reference

Data used to calculate the collapse costs. More...

`#include <OgreProgressiveMesh.h>`

List of all members.

## Public Attributes

TriangleList | mTriList
FaceVertexList | mFaceVertList
| List of faces.
CommonVertexList | mVertList

## Detailed Description

Data used to calculate the collapse costs.

Definition at line 187 of file OgreProgressiveMesh.h.

## Member Data Documentation

FaceVertexList Ogre::ProgressiveMesh::PMWorkingData::mFaceVertList

| List of faces. Definition at line 190 of file OgreProgressiveMesh.h. Referenced by Ogre::ProgressiveMesh::addWorkingData().

TriangleList Ogre::ProgressiveMesh::PMWorkingData::mTriList

| Definition at line 189 of file OgreProgressiveMesh.h. Referenced by Ogre::ProgressiveMesh::addWorkingData().

CommonVertexList Ogre::ProgressiveMesh::PMWorkingData::mVertList

| Definition at line 191 of file OgreProgressiveMesh.h. Referenced by Ogre::ProgressiveMesh::addWorkingData().

The documentation for this struct was generated from the following file:

- OgreProgressiveMesh.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:27 2004